Description

Even if QGIS 2.0 should addressed usability corresponding to the roadmap, the current user experience seems to be bad. It still feels a

bit like the Gimp application, that is more set of single tools, than one tool where everything works and fits together.

Thus I recommend to address only usability in a release.

IMHO therefore need the following steps:

    -  form a usability team, created of QGIS devs, Usability experts and a test enduser group

    -  create wikipage, bug tracker category, ...

    -  collect userstories to see the goals of particular endusers

    -  evaluate the userstories with current version and see what breaks this experience

    -  create roadmap

At least from my POV, QGIS has currently the following UX issues

    -  inconsistency

    -  broken/unreliable tools whos actions can't predicted

    -  annoyance (asking for details that are obvious)

    -  tools don't share the same behaviour

    -  overfeatured dialogs (see map style dialog) that make it hard to find the right way to tweak your results

    -  file reated (I've got 8GB RAM and have to create a SHP for every damnit step?!?)

    -  bad abstraction (for QGIS working should the storage doesn't matter and to be seperated from the layer aspects)

Sorry to say that hard words, as I also know that FOSS work esp. on such big and mature projects isn't that easy. But as more and more

new people join GIS (opendata, data journalism, ...), QGIS should be a toolsuite that assist people in doing stuff and not preventing them

because you need special knowledge how the internal modules are working together and why they misbehave.

History

#1 - 2013-11-16 04:48 AM - Nathan Woodrow

I don't really like that this ticket creates a tone that we don't care about usability.  We are always happen to improve the UX of the application however we

can't just magic it up, it takes time and resources, which most of the time people don't have.  With more people on board in the project it does become

easier to create "teams" however we can't always tell people you can only focus on this area when they want/need to work on another.   If you know people

who are willing to help from a UX side of things we are happy to have them on board, or if you have people you know that can do testing with feedback that

would also help.

I have no issue with some of the proposals, and I understand how things like creating users stories helps to drive a application.  If we had somewhere for

people/devs to write stories on where they are and where they want to get to that could also help, rather then just a "we need X feature"

Listing out things in a single ticket normally isn't going to help because it's hard to make them into targets.   Things like "tools don't share the same

behaviour" you really need to create a ticket that say "tool A works this way but tool B is different" that is a easier way for us to target things and keep a tab

on progress.   Things like "bad abstraction (for QGIS working should the storage doesn't matter and to be seperated from the layer aspects)" are vague so

we need to know, by using a single ticket, where this isn't working for you.
#2 - 2013-11-16 07:52 AM - Noone Noone

I'm sorry if I missed the tone. Maybe this is due because I really expected more things to be done on UX on a major update :(

Don't get me wrong. I know that creating good usability is a big task, esp. if it has to be embedded in an existing application.

Time ago there was www.openusability.org as a shared space for UX experts and open source projectes that need advice. Another startingpoint is 

www.openhatch.org.

Over at Navit I work also on usability: http://wiki.navit-project.org/index.php/Category:Usability

Sadly I don't have the time and skills to help you tecnical, but of course I'm happy to provide you feedback. Unfortunatly I didn't found a location where I can

post written userstories or recorded screen sessions that explain why I fail.

My points are abstract, as I wanted to point out why I think UX is bad and that it's not only just single features. IMHO what is missed is a central cooperate

design/design guide that investigates what endusers like to do with QGIS and which steps they need to pass. With that design goals, a cooperate design

can be applied to the whole app and not just single features. ATM I don't see a starting point for Usability, so maybe it's wise to create a dedicated

wikipage?

#3 - 2013-11-16 09:34 AM - Antonio Locandro

Maybe the tone is not there, but the spirit is. At some point some time should be invested to improve UI/UX. For example not having right click actions in

QGIS is something I miss.

#4 - 2013-11-16 09:42 AM - Giovanni Manghi

Antonio Locandro wrote:

invest

that is the key word. Invest in QGIS and good thing happens. Don't invest, then you must wait and hope.

#5 - 2013-11-16 12:42 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to invalid

That we don't care about the usablity is simply wrong.  There have been countless UI improvements over the years.  We care. We probably always have. 

And we'll continue to.  The apparent ignorance about all this is what makes this offensive to me.

Anyway, this is not the platform to discuss this.  The UI will always be an improveable area.  The issue tracker however is meant to track individual bugs

and feature requests that eventually get fixed or implemented.

General things like this should better be discussed on the mailing list.  I'd advise to do this as constructive as possible.  Remember that this is a volunteer

project and many if not all issues that need improvement could well just be a sign of lack of free time/contributors/funding instead of

skill/awareness/commitment.

#6 - 2013-11-16 12:53 PM - Noone Noone

I see, but as IMHO the most users lack also of time to track mailinglist discussions (they have also to work and create results), I highly recommend to

create an landing page where they can submit reports,  on why they fail to work as they expect with QGIS. There they can get in contact with the right
devs, submit GUI mockups etc.

I'm not sure if setting the ticket to invalid is a good way to deal with the problem itself.

#7 - 2013-11-16 03:59 PM - Nathan Woodrow

noone noone wrote:

I see, but as IMHO the most users lack also of time to track mailinglist discussions (they have also to work and create results), I highly recommend

to create an landing page where they can submit reports,  on why they fail to work as they expect with QGIS. There they can get in contact with the

right devs, submit GUI mockups etc.

I'm not sure if setting the ticket to invalid is a good way to deal with the problem itself.

The main thing here is that most users won't do that. Getting people to tell you what went wrong is hard without probing people for information.   We have

this ticket system which is used to action stuff like that.  If you see something that is bad UX you/or anyone needs to create a ticket or else we will never

know and you will continue to be frustrated.  We can't fix it if we don't know about it.

This ticket is closed as invaild simply because of it's over arching nature.  It's hard to action it because there isn't really a single goal and usability is

something that we try and do normally so saying we need to do better without telling us where isn't going to help.

The best point forward from here is to create tickets for each item in the list that you think needs attention, if you have UI mockup share them, if not leave

some hints on what you think will work and someone might be able to fix it.

No release is ever perfect and 2.0 is no exception. There is only so much we can do and it is ever improving.  2.2 should be out at the start of the new year

so there will be some improved stuff in that.

There is heaps of UX stuff that I, and other, would love to tackle but simple don't have time.  So it's not that we don't care, because we do, it's mostly

because it's a volunteer based project for the most part and time is lacking.

#8 - 2013-12-26 12:10 PM - Noone Noone

FYI: I started the [[usability]] page as a central startingpoint for the community.
